%define ver_major 2.22

Name: libgnomekbd
Version: %ver_major.0
Release: alt1

Summary: GNOME keyboard shared library
License: %lgpl2plus
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source0: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Obsoletes: gnome-kbd-indicator < 2.22.0
Provides: gnome-kbd-indicator = %version-%release

PreReq: GConf
Requires: %name = %version-%release
Conflicts: gnome-control-center <= 2.18.0

%define dbus_ver 0.92
%define dbus_glib_ver 0.34
%define gconf_ver 2.14.0
%define gtk_ver 2.10.3
%define libglade_ver 2.6.0
%define libgnome_ver 2.16.0
%define libgnomeui_ver 2.16.0
%define libxklavier_ver 3.2

BuildPreReq: rpm-build-gnome >= 0.4
BuildPreReq: rpm-build-licenses

# from configure.in
BuildPreReq: libdbus-devel >= %dbus_ver
BuildPreReq: libdbus-glib-devel >= %dbus_glib_ver
BuildPreReq: libGConf-devel >= %gconf_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libglade-devel >= %libglade_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libxklavier-devel >= %libxklavier_ver
BuildPreReq: intltool >= 0.35.0

BuildPreReq: libX11-devel libXt-devel GConf
BuildRequires: gcc-c++ imake perl-XML-Parser xorg-cf-files

%description
GNOME keyboard shared library.

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
GNOME keyboard shared library.

This is package contain development files for %name.

%prep
%setup -q

%build
%configure \
	--disable-schemas-install \
	--disable-static
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang --with-gnome %name

%post
%post_ldconfig
%gconf2_install desktop_gnome_peripherals_keyboard_xkb

%postun
%postun_ldconfig
if [ $1 = 0 ]; then
%gconf2_uninstall desktop_gnome_peripherals_keyboard_xkb
fi

%files -f %name.lang
%doc AUTHORS ChangeLog ChangeLog.libgswitchit ChangeLog.libkbdraw NEWS
%_libdir/lib*.so.*

# gnome-kbd-indicator
%config %gconf_schemasdir/*.schemas
%_bindir/gkbd-indicator-plugins-capplet
%_desktopdir/gkbd-indicator-plugins-capplet.desktop
%_datadir/%name/glade/gkbd-indicator-plugins.glade

%files devel
%dir %_includedir/%name
%_includedir/%name/*.h
%_libdir/lib*.so
%_pkgconfigdir/*.pc

%changelog
* Wed Apr 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)
- libgnomekbd contain gnome-kbd-indicator(#14112)

* Tue Mar 18 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.4.1-alt1.1
- build for Sisyphus
- build with libxklavier-0.35

* Sun Mar 09 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.4.1-alt1
- new version (2.21.4.1)

* Tue Sep 18 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.0-alt1
- new version (2.20.0)
- use macros from rpm-build-gnome and rpm-build-licenses
- gnome-kbd-indicator now depends on a specific version-release of
  libgnomekbd
- updated dependencies
- changed group of libgnomekbd (it is more of GNOME, than system libraries)

* Thu Jul 05 2007 Igor Zubkov <icesik@altlinux.org> 2.18.2-alt2
- apply fixes from ktirf@

* Tue Jun 05 2007 Igor Zubkov <icesik@altlinux.org> 2.18.2-alt1
- 2.18.1 -> 2.18.2
- add proper build requires with versions from configure.in

* Wed May 09 2007 Igor Zubkov <icesik@altlinux.org> 2.18.1-alt1
- build for Sisyphus


